<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->unsignedBigInteger('seat_type_id')->nullable()->after('ticket_id');
            $table->string('seat_type_name')->nullable()->after('seat_type_id');  // Ensures both fields are added

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->dropColumn('seat_type_id');
            $table->dropColumn('seat_type_name');
        });
    }
};
